# TL-WR1043ND

## Hardware Specs:

v1.x

* SoC : Atheros AR9103
* SoC CPU Speed: 400 MHz
* Flash ROM : 8 MiB
* RAM : 32 MB
* USB : 1
* Special: GbE Switch

v2.x

* SoC : Qualcomm Atheros QCA9558
* SoC CPU Speed: 720 MHz
* Flash ROM : 8 MiB
* RAM : 64 MB
* USB : 1
* Special: GbE Switch

v3.x

Similar to v2.x

v4.x

* SoC : Qualcomm Atheros QCA9563
* SoC CPU Speed: 750 MHz
* Flash ROM : 16 MB
* RAM : 64 MB
* USB : 1
* Special: GbE Switch
* May need to be TFTP flashed, depending on stock firmware version.

v5.x (TL-WR1043N v5)

* SoC : Qualcomm Atheros QCA9563
* SoC CPU Speed: 775 MHz
* Flash ROM : 16 MB
* RAM : 64 MB
* No USB
* Needs to be TFTP flashed

## Supported Versions:

* v1.x
* v2.x
* v3.x
* v4.x
* v5.x

# Reset instructions

???

# libreCMC v1.5.x notes

With the release of libreCMC v1.5.0, this target uses `ath79` images.

# Firmware Images

See our [flavors](https://librecmc.org/flavors.html) page for a description of each type of libreCMC image.

## Main Images

[TL-WR1043ND v1 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v1-squashfs-factory.bin)

[TL-WR1043ND v1 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v1-squashfs-sysupgrade.bin)

[TL-WR1043ND v2 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v2-squashfs-factory.bin)

[TL-WR1043ND v2 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v2-squashfs-sysupgrade.bin)

[TL-WR1043ND v3 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v3-squashfs-factory.bin)

[TL-WR1043ND v3 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v3-squashfs-sysupgrade.bin)

[TL-WR1043ND v4 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v4-squashfs-factory.bin)

[TL-WR1043ND v4 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v4-squashfs-sysupgrade.bin)

[TL-WR1043N v5 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043n-v5-squashfs-factory.bin)

[TL-WR1043N v5 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043n-v5-squashfs-sysupgrade.bin)

## Core Images

[TL-WR1043ND v1 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v1-squashfs-factory.bin)

[TL-WR1043ND v1 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v1-squashfs-sysupgrade.bin)

[TL-WR1043ND v2 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v2-squashfs-factory.bin)

[TL-WR1043ND v2 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v2-squashfs-sysupgrade.bin)

[TL-WR1043ND v3 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v3-squashfs-factory.bin)

[TL-WR1043ND v3 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v3-squashfs-sysupgrade.bin)

[TL-WR1043ND v4 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v4-squashfs-factory.bin)

[TL-WR1043ND v4 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043nd-v4-squashfs-sysupgrade.bin)

[TL-WR1043N v5 Factory](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043n-v5-squashfs-factory.bin)

[TL-WR1043N v5 Sysupgrade](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/librecmc-ath79-generic-tplink_tl-wr1043n-v5-squashfs-sysupgrade.bin)

## Image File Signatures 

[Main sha256sums](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/sha256sums)

[Main sha256sums.asc](https://librecmc.org/librecmc/downloads/snapshots/current/main/targets/ath79/generic/sha256sums.asc)


[Core sha256sums](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/sha256sums)

[Core sha256sums.asc](https://librecmc.org/librecmc/downloads/snapshots/current/core/targets/ath79/generic/sha256sums.asc)

